<?php



require_once 'config.php';
require_once GREEN_ZONE_DIR . 'Forms/GZ_BaseForm.php';
require_once 'Classes/Interfaces/ObsSetMapper.php';
require_once 'Classes/Model/ObservationSet.php';
require_once 'Forms/ViewProfilesAndCalsForm.php';



class ViewProfilesForm extends ViewProfilesAndCalsForm
{
  public function __construct( $s_gz )
  {
    parent::__construct( $s_gz );
  }
  
  
  public function Display()
  {
    $smarty = $this->gz->CreateSmarty();
    
    $data_mapper = new ObsSetMapper();
    
    $this->gz->smarty_assign( $smarty, 'data_mapper', $data_mapper );
    $this->gz->smarty_assign( $smarty, 'data_set', $this->GetDataSet() );
    
    $smarty->Display( 'ViewProfilesForm.tpl' );
  }
};

?>